<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results__uart" kind="group">
    <compoundname>group_hal_results_uart</compoundname>
    <title>UART HAL Results</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__uart_1ga10dd6d5d7975757a4d900ce6da3b002e" kind="define" prot="public" static="no">
        <name>CYHAL_UART_RSLT_ERR_INVALID_PIN</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a61db0997675c2dc43ad7cf91e7160be5">CYHAL_RSLT_MODULE_UART</ref>, 0))</initializer>
        <briefdescription>
<para>The requested resource type is invalid. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="111" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="111" />
      </memberdef>
      <memberdef id="group__group__hal__results__uart_1ga7f6b37c70d5a2e1f067c8248f631d4ab" kind="define" prot="public" static="no">
        <name>CYHAL_UART_RSLT_ERR_PM_CALLBACK</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a61db0997675c2dc43ad7cf91e7160be5">CYHAL_RSLT_MODULE_UART</ref>, 1))</initializer>
        <briefdescription>
<para>Failed to configure power management callback. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="114" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="114" />
      </memberdef>
      <memberdef id="group__group__hal__results__uart_1ga264e4adc4d1c01e4c92aa93680e928ca" kind="define" prot="public" static="no">
        <name>CY_RSLT_ERR_CSP_UART_GETC_TIMEOUT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a61db0997675c2dc43ad7cf91e7160be5">CYHAL_RSLT_MODULE_UART</ref>, 2))</initializer>
        <briefdescription>
<para>The getc call timed out with no received data. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="117" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="117" />
      </memberdef>
      <memberdef id="group__group__hal__results__uart_1gab9e6c49a6d0947c7dc1594bb424555be" kind="define" prot="public" static="no">
        <name>CY_RSLT_WRN_CSP_UART_BAUD_TOLERANCE</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga5aa8f2db241158e42052d8940045d2a0">CY_RSLT_TYPE_WARNING</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a61db0997675c2dc43ad7cf91e7160be5">CYHAL_RSLT_MODULE_UART</ref>, 3))</initializer>
        <briefdescription>
<para>The actual baud rate is greater than 10% off the requested baud rate. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="120" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="120" />
      </memberdef>
      <memberdef id="group__group__hal__results__uart_1ga401cb100a470d77d6c1a55509fd480de" kind="define" prot="public" static="no">
        <name>CYHAL_UART_RSLT_ERR_SHARED_CLOCK</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005a61db0997675c2dc43ad7cf91e7160be5">CYHAL_RSLT_MODULE_UART</ref>, 4))</initializer>
        <briefdescription>
<para>Cannot change the UART baud rate when a shared clock divider is in use. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" bodystart="123" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_uart.h" line="123" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>UART specific return codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>